Bug 852902 - Reserve workflow does not work until piwik js has finished loading
Reserve workflow does not work until piwik js has finished loading
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.9.4
: ---
Assigned To: Dan Callaghan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 18:57 EDT by Dan Callaghan
Modified: 2012-10-11 19:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-11 19:50:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2012-08-29 18:57:53 EDT
Description of problem:

If the Beaker site is configured to use a Piwik analytics server, the reserve workflow page will be non-functional until the request for piwik.js is completed. That means if the Piwik server is misbehaving, responding slowly, having an outage, unreachable, etc then it could make the reserve workflow page unusable.

This problem probably applies to any other page which has scripts waiting for the document ready event.

Version-Release number of selected component (if applicable):
0.9.2

How reproducible:
easily

Steps to Reproduce:
1. Add an iptables rule to DROP traffic to your configured Piwik server:
# iptables -A OUTPUT -d analytics.example.com -j DROP
2. Visit the reserve workflow page
  
Actual results:
Ajaxy bits do not work. Changing any of the filters has no effect and no distros or distro trees will be populated. The page is unusable.

Expected results:
Loading of piwik.js should not hold up the rest of the page.
Comment 1 Dan Callaghan 2012-09-04 22:56:45 EDT
On Gerrit: http://gerrit.beaker-project.org/1319
Comment 3 Dan Callaghan 2012-10-11 19:50:21 EDT
Beaker 0.9.4 has been released.

Note You need to log in before you can comment on or make changes to this bug.